<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerGeneralActionNameEnumType](./bitburner.bladeburnergeneralactionnameenumtype.md)

## BladeburnerGeneralActionNameEnumType type

General action names of Bladeburner

**Signature:**

```typescript
type BladeburnerGeneralActionNameEnumType = {
  Training: "Training";
  FieldAnalysis: "Field Analysis";
  Recruitment: "Recruitment";
  Diplomacy: "Diplomacy";
  HyperbolicRegen: "Hyperbolic Regeneration Chamber";
  InciteViolence: "Incite Violence";
};
```
